| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Functions
Element-wise multiply
Core functionality » Hardware Acceleration Layer » Interface

## Detailed Description

Multiply: dst[i] = scale * src1[i] * src2[i]

Parameters

  src1_data | first source image data
  src1_step | first source image step
  src2_data | second source image data
  src2_step | second source image step
  dst_data | destination image data
  dst_step | destination image step
  width | width of the images
  height | height of the images
  scale | additional multiplier

## Functions
int | hal_ni_mul16bf (const cv_hal_bf16 *src1_data, size_t src1_step, const cv_hal_bf16 *src2_data, size_t src2_step, cv_hal_bf16 *dst_data, size_t dst_step, int width, int height, double scale)
int | hal_ni_mul16f (const cv_hal_f16 *src1_data, size_t src1_step, const cv_hal_f16 *src2_data, size_t src2_step, cv_hal_f16 *dst_data, size_t dst_step, int width, int height, double scale)
int | hal_ni_mul16s (const short *src1_data, size_t src1_step, const short *src2_data, size_t src2_step, short *dst_data, size_t dst_step, int width, int height, double scale)
int | hal_ni_mul16u (const ushort *src1_data, size_t src1_step, const ushort *src2_data, size_t src2_step, ushort *dst_data, size_t dst_step, int width, int height, double scale)
int | hal_ni_mul32f (const float *src1_data, size_t src1_step, const float *src2_data, size_t src2_step, float *dst_data, size_t dst_step, int width, int height, double scale)
int | hal_ni_mul32s (const int *src1_data, size_t src1_step, const int *src2_data, size_t src2_step, int *dst_data, size_t dst_step, int width, int height, double scale)
int | hal_ni_mul32u (const unsigned *src1_data, size_t src1_step, const unsigned *src2_data, size_t src2_step, unsigned *dst_data, size_t dst_step, int width, int height, double scale)
int | hal_ni_mul64f (const double *src1_data, size_t src1_step, const double *src2_data, size_t src2_step, double *dst_data, size_t dst_step, int width, int height, double scale)
int | hal_ni_mul64s (const int64 *src1_data, size_t src1_step, const int64 *src2_data, size_t src2_step, int64 *dst_data, size_t dst_step, int width, int height, double scale)
int | hal_ni_mul64u (const uint64 *src1_data, size_t src1_step, const uint64 *src2_data, size_t src2_step, uint64 *dst_data, size_t dst_step, int width, int height, double scale)
int | hal_ni_mul8s (const schar *src1_data, size_t src1_step, const schar *src2_data, size_t src2_step, schar *dst_data, size_t dst_step, int width, int height, double scale)
int | hal_ni_mul8s16s (const schar *src1_data, size_t src1_step, const schar *src2_data, size_t src2_step, short *dst_data, size_t dst_step, int width, int height, double scale)
int | hal_ni_mul8u (const uchar *src1_data, size_t src1_step, const uchar *src2_data, size_t src2_step, uchar *dst_data, size_t dst_step, int width, int height, double scale)
int | hal_ni_mul8u16u (const uchar *src1_data, size_t src1_step, const uchar *src2_data, size_t src2_step, ushort *dst_data, size_t dst_step, int width, int height, double scale)

## Function Documentation

## ◆ hal_ni_mul16bf()

int hal_ni_mul16bf | ( | const cv_hal_bf16 * | src1_data,
|  | size_t | src1_step,
|  | const cv_hal_bf16 * | src2_data,
|  | size_t | src2_step,
|  | cv_hal_bf16 * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | double | scale )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_mul16f()

int hal_ni_mul16f | ( | const cv_hal_f16 * | src1_data,
|  | size_t | src1_step,
|  | const cv_hal_f16 * | src2_data,
|  | size_t | src2_step,
|  | cv_hal_f16 * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | double | scale )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_mul16s()

int hal_ni_mul16s | ( | const short * | src1_data,
|  | size_t | src1_step,
|  | const short * | src2_data,
|  | size_t | src2_step,
|  | short * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | double | scale )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_mul16u()

int hal_ni_mul16u | ( | const ushort * | src1_data,
|  | size_t | src1_step,
|  | const ushort * | src2_data,
|  | size_t | src2_step,
|  | ushort * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | double | scale )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_mul32f()

int hal_ni_mul32f | ( | const float * | src1_data,
|  | size_t | src1_step,
|  | const float * | src2_data,
|  | size_t | src2_step,
|  | float * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | double | scale )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_mul32s()

int hal_ni_mul32s | ( | const int * | src1_data,
|  | size_t | src1_step,
|  | const int * | src2_data,
|  | size_t | src2_step,
|  | int * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | double | scale )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_mul32u()

int hal_ni_mul32u | ( | const unsigned * | src1_data,
|  | size_t | src1_step,
|  | const unsigned * | src2_data,
|  | size_t | src2_step,
|  | unsigned * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | double | scale )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_mul64f()

int hal_ni_mul64f | ( | const double * | src1_data,
|  | size_t | src1_step,
|  | const double * | src2_data,
|  | size_t | src2_step,
|  | double * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | double | scale )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_mul64s()

int hal_ni_mul64s | ( | const int64 * | src1_data,
|  | size_t | src1_step,
|  | const int64 * | src2_data,
|  | size_t | src2_step,
|  | int64 * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | double | scale )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_mul64u()

int hal_ni_mul64u | ( | const uint64 * | src1_data,
|  | size_t | src1_step,
|  | const uint64 * | src2_data,
|  | size_t | src2_step,
|  | uint64 * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | double | scale )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_mul8s()

int hal_ni_mul8s | ( | const schar * | src1_data,
|  | size_t | src1_step,
|  | const schar * | src2_data,
|  | size_t | src2_step,
|  | schar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | double | scale )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_mul8s16s()

int hal_ni_mul8s16s | ( | const schar * | src1_data,
|  | size_t | src1_step,
|  | const schar * | src2_data,
|  | size_t | src2_step,
|  | short * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | double | scale )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_mul8u()

int hal_ni_mul8u | ( | const uchar * | src1_data,
|  | size_t | src1_step,
|  | const uchar * | src2_data,
|  | size_t | src2_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | double | scale )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_mul8u16u()

int hal_ni_mul8u16u | ( | const uchar * | src1_data,
|  | size_t | src1_step,
|  | const uchar * | src2_data,
|  | size_t | src2_step,
|  | ushort * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | double | scale )
| inline

`#include <core/src/hal_replacement.hpp>`